import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';

const csvUrl = [
  'https://gist.githubusercontent.com/Rajashekar551998/a49f9f6fb314798b52ec0fcde3f3e8fc/raw/fde6bce8e0f70a67f5b48d5821e20d0b31b0e785/Assignment-7', // File name
].join('');
const parseRow = (d) => {
   d.eye_length = +d.eye_length;
   d.eye_width = +d.eye_width;
   d.ear_length = +d.ear_length;
   d.ear_width = +d.ear_width;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  const plot = scatterPlot()
    .width(width)
    .height(height)
    .data(await csv(csvUrl, parseRow))
    .xValue((d) => d.eye_width)
    .yValue((d) => d.ear_length)
    .margin({
      top: 20,
      right: 20,
      bottom: 40,
      left: 50,
    })
    .radius(5);

  svg.call(plot);

  const columns = [
    'eye_width',
    'eye_width',
    'ear_length',
    'ear_length',
  ];
  let i = 0;
  setInterval(() => {
    plot.xValue((d) => d[columns[i % columns.length]]);
    svg.call(plot);
    i++;
  }, 2000);
};
main();



